---
title: Edit Web3 Hostname
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Web3](https://developers.cloudflare.com/api/python/resources/web3)

[Hostnames](https://developers.cloudflare.com/api/python/resources/web3/subresources/hostnames)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Edit Web3 Hostname

web3.hostnames.edit(stridentifier, HostnameEditParams\*\*kwargs) -> [Hostname](<https://developers.cloudflare.com/api/python/resources/web3#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)>)

PATCH/zones/{zone\_id}/web3/hostnames/{identifier}

Edit Web3 Hostname

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Web3 Hostnames Write`

##### ParametersExpand Collapse

zone\_id: str

Specify the identifier of the hostname.

maxLength32

[Link to this property](<#(resource)%20web3.hostnames%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

identifier: str

Specify the identifier of the hostname.

maxLength32

[Link to this property](<#(resource)%20web3.hostnames%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20identifier%20%3E%20(schema)>)

description: Optional\[str]

Specify an optional description of the hostname.

maxLength500

[Link to this property](<#(resource)%20web3.hostnames%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20description%20%3E%20(schema)>)

dnslink: Optional\[str]

Specify the DNSLink value used if the target is ipfs.

[Link to this property](<#(resource)%20web3.hostnames%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20dnslink%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class Hostname: …

</summary>

id: Optional\[str]

Specify the identifier of the hostname.

maxLength32

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created\_on: Optional\[datetime]

formatdate-time

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

description: Optional\[str]

Specify an optional description of the hostname.

maxLength500

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

dnslink: Optional\[str]

Specify the DNSLink value used if the target is ipfs.

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20dnslink">Link to this property</a>

modified\_on: Optional\[datetime]

formatdate-time

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

name: Optional\[str]

Specify the hostname that points to the target gateway via CNAME.

maxLength255

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

status: Optional\[Literal\["active", "pending", "deleting", "error"]]

Specifies the status of the hostname’s activation.

</summary>

One of the following:

"active"

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"pending"

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"deleting"

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

"error"

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

<details>

<summary>

target: Optional\[Literal\["ethereum", "ipfs", "ipfs\_universal\_path"]]

Specify the target gateway of the hostname.

</summary>

One of the following:

"ethereum"

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(member)%200">Link to this property</a>

"ipfs"

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(member)%201">Link to this property</a>

"ipfs\_universal\_path"

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

</details>

[Link to this property](<#(resource)%20web3.hostnames%20%3E%20(model)%20hostname%20%3E%20(schema)>)

### Edit Web3 Hostname

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
hostname = client.web3.hostnames.edit(
    identifier="023e105f4ecef8ad9ca31a8372d0c353",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(hostname.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "This is my IPFS gateway.",
    "dnslink": "/ipns/onboarding.ipfs.cloudflare.com",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "gateway.example.com",
    "status": "active",
    "target": "ipfs"
  },
  "success": true,
  "result_info": {}
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "This is my IPFS gateway.",
    "dnslink": "/ipns/onboarding.ipfs.cloudflare.com",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "gateway.example.com",
    "status": "active",
    "target": "ipfs"
  },
  "success": true,
  "result_info": {}
}
```